
package de.ivu.elect.presentation.dokumente;

import java.util.List;

import de.ivu.elect.business.dokumente.entity.DokumentVorlage;
import de.ivu.elect.business.dokumente.entity.DokumentVorlageArt;
import de.ivu.elect.business.dokumente.entity.DokumentVorlageProperties.DokumentVorlageArtProperty;

public class DokumentVorlageArtNachAnwendungGefiltertProperty extends DokumentVorlageArtProperty {

  private final List<DokumentVorlageArt> values;

  private final boolean hasNoSelectionItem;

  public DokumentVorlageArtNachAnwendungGefiltertProperty(DokumentVorlage dokumentVorlage, DokumentVorlageAuswahl dokumentVorlageAuswahl) {
    this(dokumentVorlage, dokumentVorlageAuswahl, false);
  }

  public DokumentVorlageArtNachAnwendungGefiltertProperty(DokumentVorlage dokumentVorlage, DokumentVorlageAuswahl dokumentVorlageAuswahl, boolean hasNoSelectionItem) {
    super(dokumentVorlage);

    this.values = dokumentVorlageAuswahl.getDokumentVorlageArten();
    this.hasNoSelectionItem = hasNoSelectionItem;
  }

  @Override
  public boolean hasNoSelectionItem() {
    return hasNoSelectionItem;
  }

  @Override
  public List<DokumentVorlageArt> getValues() {
    return values;
  }
}
